Subject: [IPP] HP Inc. has reviewed the IPP 3D specification and has comments

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Wed, 7 Dec 2016 22:02:30 +0000

Greetings,

Here are a number of points of feedback on the IPP 3D Printing extensions draft in PWG Last Call (http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipp3d10-20161114.pdf <http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipp3d10-20161114.pdf>) - apologies that I haven't submitted these earlier:

Page 10, line 267: "extrude ABS and/or PLA filaments" might be better phrased as "extrude filaments of ABS, PLA, or other substances"
Page 10, line 271: "Discovery of 3D Printers is based on..." perhaps should be "Discovery of IPP 3D Printers is based on..."
Page 12, section 2.5: the URL highlighting seems to be inconsistent - only one is in blue with an underline
Page 12, section 2.5: 3MF isn't listed here as an organization, but ought to be?
Page 13, line 347 / 350 / 352 / etc.: The reference doesn't seem to be a bookmark that can take the reader to the reference listing
Page 13, line 357: PDF isn't listed as an existing specification
Page 13, line 358: "...document should define IPP attributes..." changed to be "...document defines IPP attributes..."
Page  22, line 559: "DNS-SD based Discovery" might instead be "DNS-SD for service advertisement and discovery". Also, not quite sure why "Discovery" is capitalized here...
Page 22, line 573: Some weird pagination stuff going on - lines 574-576 should be on page 22, and Table 2 should be on possibly page 22 or maybe page 23. But all the whitespace on page 23 seems to be a formatting glitch.
Page 24, line 586: "ASSIGN OID HERE"? Is it time to assign the OID?
Page 25, line 603: Should "[RFC3510] and IPP-USB [IPP-USB]" be "[RFC3510] and/or IPP-USB [IPP-USB]"?
Page 34, line 729: If "materials-key" is required, then "printer-strings-uri" should also be required, but it isn't listed in table 5 / section 6.5
Page 35, line 759: If "materials-key" is required, then "printer-strings-uri" should also be required, but it isn't listed in table 5 / section 6.5
Page 44, line 979: Is there any requirement as to the document format of the images available at this URI?
Page 54, section 13.4: Shouldn't the 3MF Consortium be handing the registration of the "media/3mf" media type?
Page 54, line 1338: The type name "media/3mf" isn't consistent with the type name listed in table 2 ("model/3mf"). Which is correct?
Thanks for the hard work, Mike and all contributors!

Smith

/**
    Smith Kennedy
    Wireless Architect - Client Software - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Thu, 08 Dec 2016 11:29:49 -0500

Smith,

Thanks for your feedback.  Looking through the comments, I'm not sure how to (simply, easily) resolve #5 - Word's support for internal hyperlinks is poor, and trying to get it to select only the bracketed name ("[FOO]") in the 79 places I'd need to do this isn't something I want to do unless people see this as necessary.  For the record, in the history of the PWG I think your implementor's guide is the only specification we have ever produced that had such internal links...

> On Dec 7, 2016, at 5:02 PM, Kennedy, Smith (Wireless Architect) <[email-masked]> wrote:
> 
> Greetings,
> 

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

---

From: Ira McDonald <[email-masked]>
Date: Thu, 8 Dec 2016 11:53:54 -0500

Hi,

FWIW - I second Mike's comments about internal links.  For the IPP
System Service, this would affect several hundred references.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434

On Thu, Dec 8, 2016 at 11:29 AM, Michael Sweet <[email-masked]> wrote:

> Smith,
>
> Thanks for your feedback.  Looking through the comments, I'm not sure how
> to (simply, easily) resolve #5 - Word's support for internal hyperlinks is
> poor, and trying to get it to select only the bracketed name ("[FOO]") in
> the 79 places I'd need to do this isn't something I want to do unless
> people see this as necessary.  For the record, in the history of the PWG I
> think your implementor's guide is the only specification we have ever
> produced that had such internal links...
>
>
> Here are a number of points of feedback on the IPP 3D Printing extensions
> draft in PWG Last Call (http://ftp.pwg.org/pub/pwg/
> ipp/wd/wd-ipp3d10-20161114.pdf) - apologies that I haven't submitted
> these earlier:
>
>
>    1. Page 10, line 267: "extrude ABS and/or PLA filaments" might be
>    better phrased as "extrude filaments of ABS, PLA, or other substances"
>    2. Page 10, line 271: "Discovery of 3D Printers is based on..."
>    perhaps should be "Discovery of IPP 3D Printers is based on..."
>    3. Page 12, section 2.5: the URL highlighting seems to be inconsistent
>    - only one is in blue with an underline
>    4. Page 12, section 2.5: 3MF isn't listed here as an organization, but
>    ought to be?
>    5. Page 13, line 347 / 350 / 352 / etc.: The reference doesn't seem to
>    be a bookmark that can take the reader to the reference listing
>    6. Page 13, line 357: PDF isn't listed as an existing specification
>    7. Page 13, line 358: "...document should define IPP attributes..."
>    changed to be "...document defines IPP attributes..."
>    8. Page  22, line 559: "DNS-SD based Discovery" might instead be
>    "DNS-SD for service advertisement and discovery". Also, not quite sure why
>    "Discovery" is capitalized here...
>    9. Page 22, line 573: Some weird pagination stuff going on - lines
>    574-576 should be on page 22, and Table 2 should be on possibly page 22 or
>    maybe page 23. But all the whitespace on page 23 seems to be a formatting
>    glitch.
>    10. Page 24, line 586: "ASSIGN OID HERE"? Is it time to assign the OID?
>    11. Page 25, line 603: Should "[RFC3510] and IPP-USB [IPP-USB]"
>    be "[RFC3510] and/or IPP-USB [IPP-USB]"?
>    12. Page 34, line 729: If "materials-key" is required, then
>    "printer-strings-uri" should also be required, but it isn't listed in table
>    5 / section 6.5
>    13. Page 35, line 759: If "materials-key" is required, then
>    "printer-strings-uri" should also be required, but it isn't listed in table
>    5 / section 6.5
>    14. Page 44, line 979: Is there any requirement as to the document
>    format of the images available at this URI?
>    15. Page 54, section 13.4: Shouldn't the 3MF Consortium be handing the
>    registration of the "media/3mf" media type?
>    16. Page 54, line 1338: The type name "media/3mf" isn't consistent
>    with the type name listed in table 2 ("model/3mf"). Which is correct?
>

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Thu, 8 Dec 2016 16:57:25 +0000

I admit it can be rather annoying to fix this. 😊 I won't object if #5 is rejected.

Smith

> On Dec 8, 2016, at 9:53 AM, Ira McDonald <[email-masked]> wrote:
> 
> Hi,
> 
> http://sites.google.com/site/blueroofmusic <http://sites.google.com/site/blueroofmusic>
> http://sites.google.com/site/highnorthinc <http://sites.google.com/site/highnorthinc>
> mailto: [email-masked] <mailto:[email-masked]>
> On Thu, Dec 8, 2016 at 11:29 AM, Michael Sweet <[email-masked] <mailto:[email-masked]>> wrote:
> Smith,
> 
>> On Dec 7, 2016, at 5:02 PM, Kennedy, Smith (Wireless Architect) <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Greetings,
>>